> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unicontrol.me/llms.txt
> Use this file to discover all available pages before exploring further.

# List current user's own pending join requests



## OpenAPI

````yaml https://portal.unicontrol.me/v1/openapi get /v1/join-requests/my-pending
openapi: 3.1.0
info:
  title: Unicontrol API
  description: Welcome
  version: 1.0.0
servers:
  - url: http://0.0.0.0:3000
    description: Local Server
  - url: https://portal.test.flexhome.casa
    description: Development
  - url: https://portal.unicontrol.me
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/join-requests/my-pending:
    get:
      tags:
        - Organizations
      summary: List current user's own pending join requests
      operationId: getV1Join-requestsMy-pending
      parameters: []
      responses:
        '200':
          description: Pending join requests (enriched with organization name)
          content:
            application/json:
              example:
                - id: 1
                  org_id: org_abc
                  requested_role: member
                  status: pending
                  created_at: '2026-01-15T10:00:00Z'
                  organizationName: Minha Casa
        '401':
          description: Não autenticado
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: unauthorized
        '500':
          description: Erro interno do servidor
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: internal_error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````